
QGIS Application - Bug report #6113

Selection of features does not work correctly with "point displacement" renderer

2012-07-28 08:15 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 15453

Description

Steps to replicate:

    -  open a point layer and set the symbology to "point displacement"

    -  zoom to a cluster of points and pick the "select features" tool.

    -  try selecting one of the points of the cluster and you will notice that there is one point that once selected will select also all the other,

while trying select one of the other points have no effect. The same happens when trying selecting from the table of attributes. Moreover

when selecting the point that "selects" all the others, in the table of attributes just this point result as selected (as expected, but not

accordingly to what happens in the canvas).

History

#1 - 2014-06-20 04:39 AM - Giovanni Manghi

- Target version changed from Version 2.0.0 to Version 2.4

- Category changed from Symbology to Map Canvas

#2 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#3 - 2014-12-14 04:13 AM - Giovanni Manghi

see also #11840

#4 - 2016-10-10 05:50 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in master
